package web;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.fs.FileSystem;
import org.apache.hadoop.fs.Path;

public class Search extends HttpServlet {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {

	}

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {

		search.Searcher.run(req.getParameter("query"));
		FileSystem hdfs = FileSystem.get(new Configuration());
		BufferedReader br = new BufferedReader(new InputStreamReader(hdfs
				.open(new Path("result/part-00000"))));
		String result = br.readLine();
		br.close();
		hdfs.close();
		String[] results = result.split("(\\[|\\s|\\t|\\,|\\])");
		ArrayList<String> listOfResults = new ArrayList<String>();
		for (int i = 1; i < results.length; ++i) {
			if (results[i].equals(""))
				continue;
			listOfResults.add(results[i]);
		}
		System.out.println(listOfResults);
		req.getSession().setAttribute("results", listOfResults);
		getServletContext().getRequestDispatcher("/results.jsp").forward(req,
				resp);

	}

}
