package web;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.fs.FileSystem;
import org.apache.hadoop.fs.Path;

public class View extends HttpServlet {


	private static final long serialVersionUID = 1L;

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {

		String filename = req.getParameter("file");
		FileSystem hdfs = FileSystem.get(new Configuration());
		Path path = new Path("Files/" + filename);
		BufferedReader br = new BufferedReader(new InputStreamReader(hdfs
				.open(path)));
		StringBuilder contents = new StringBuilder();
		String line;
		line = br.readLine();
		while (line != null) {
			contents.append(line);
			line = br.readLine();
		}
		br.close();
		hdfs.close();
		req.getSession().setAttribute("contents", contents.toString());
		getServletContext().getRequestDispatcher("/view.jsp")
				.forward(req, resp);
	}

}
